MINOVA DEMO - Feature #2596

DEMO: DOCTYPE SETTING
02/20/2024 09:12 AM - jihad ...

Status: Closed Start date: 02/20/2024

Priority: Normal Due date:

Assignee: jihad .... % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Mba Yoma,

ingin disetting tampilan tab berdasarkan doctype, udah aku buat dan isi juga doctype di PCMBSTRANSLIST
Terima Kasih

History

#1 - 02/20/2024 10:12 AM - Tri Rizgiaty

- File clipboard-202402201012-f6qw9.png added
- File MinovaXtype.js added

- Status changed from New to Developing

Fixing :

Update folder \Ul\scripts\MinovaXtype.js
17850 E] initComwponent: function () {
17951 rar me = this;
17952 var documentType = me.docType:
17953 var transactionType = me.transType:
17554 rar hasil = null:
17955 rar _items = []:
173956 var formimage = undefined:
17857 E] Ext.ijax.regquest{{
173958 async: false,
17959 method: 'FPOET',
173960 url: '/UsertControl/GetStore',
17961 E] params: {
17962 tableMName: 'PCHESTRANZLIST'
17863 param: 'TransTyps[=]' + me.transTypel+ ', + 'DocTlype[=]' + me.docType /¢ add Tri nwh 20240220
17964 ¥,
17965 B success: function {(response) {
17966 var results = Ext.decode{response.responseText);
17367 hasil = results.data;
17965 }
17969 1
17870 hasil = hasil.sort{Minovaltil.3SortBy{ "Secquence”)) /]
17971 if (hasil.length > 0} {
17972 Ext.each{hasil, function {(rec) {
17873 if{rec. TabhleNawe=="FTRFRODUCTIONHE D™} {
17974 rec.LabelName=rec. Title;
[Find result - [4 hits)

Search "PCMBSTRAHSLIST" (4 hits in 1 file of 1 searched)
E:\APP\EKJL\UI\scripts\MinovaXtype.js (4 hits)

Line 17982: tableNamwe: 'PCHESTRANSLIST!,
Line 18946: tableMame: "PCMESTRANILISTY,
Line 19971: tableNawe: "PCHESTRANSLIST',
Line 22373: tableMawe: 'FCHESTRANILIST',

[+/Search "url: 'fUserControlfGetStore'," (246 hits in 1 file of 1 searched)

[+/Search "PCMBSTRANSLIST" (4 hitg in 1 file of 1 searched)

[+/Search "GetReferenceDoc" {2 hits in 1 file of 1 searched}

#2 - 02/20/2024 10:12 AM - Tri Rizgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....

#3 - 02/29/2024 10:06 AM - jihad ....
- Status changed from QA Test to Closed

Files

clipboard-202402200910-rrgfw.png 125 KB 02/20/2024 jihad ....

clipboard-202402201012-f6qw9.png 28.8 KB 02/20/2024 Tri Rizqiaty

MinovaXtype.js 1.39 MB 02/20/2024 Tri Rizqgiaty
